#!/usr/bin/tclsh

set twiss "results/twiss.twi"
set mag   "results/beamline.mag"

exec sddsplot \
    -column=s,Profile -overlay=xmode=norm,yfact=0.06 -graph=line,type=15 $mag "-title=" \
    -column=s,betax -graph=line,type=3 $twiss -legend \
    -column=s,betay -graph=line,type=2 $twiss -legend \
    -scales=0,0,-100,1600 \
    -string=\$gn\$r\$bx\$n=,p=-0.01,q=-0.2,scale=1.1,line=4 \
    -string=@nux,p=0.03,q=-0.2,scale=1.1,line=4 \
    -string=\$gn\$r\$by\$n=,p=0.66,q=-0.2,scale=1.1,line=4 \
    -string=@nuy,p=0.70,q=-0.2,scale=1.1,line=4 &
