#!/usr/bin/tclsh

exec elegant track.ele >@ stdout

set w   "results/track.w1"
set tmp "results/tmp_wkwdmk1.sdds"

set per [exec \
	    sddsprocess "results/beamline.mag" -pipe=out -process=s,last,ring_perimeter | \
	    sdds2stream -pipe=in -par=ring_perimeter]
exec \
    sddsprocess $w $tmp \
	"-define=column,ds,\
    	    me_mks mp_mks / 978546 * mev / sto g cle   g g * 1 - sqrt g / sto beta cle  beta c_mks * Ct * Pass $per * -,units=m"
file rename -force $tmp $w

exec sddsfft $w "results/w1.fft" -col=Pass,C*
